[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Need help with builderror (ppc only)



On Fri, 05 Aug 2005 11:47:43 +0200, Hans de Goede wrote:

> Hi,
> 
> I'm trying to get gnumeric rebuild on devel for the xxxxth time (GRR), 
> and this time it fails on ppc and only ppc with the following error:
> 
> Job failed on arch ppc
> 
> 
>           Build logs may be found at 
> http://buildsys.fedoraproject.org/logs//development/463-gnumeric-1.4.3-5/

First observation: libxml2-devel was present in the chroot.

> /bin/sh ../../libtool --mode=link gcc  -O2 -g -pipe -Wall 
> -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector 
> --param=ssp-buffer-size=4 -m32 -DG_DISABLE_DEPRECATED 
> -DPANGO_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED 
> -DGDK_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE -DGTK_DISABLE_DEPRECATED 
> -DLIBGLADE_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED 
> -DBONOBO_DISABLE_DEPRECATED -DBONOBO_UI_DISABLE_DEPRECATED 
> -Wsign-compare -Wpointer-arith -Wnested-externs -Wchar-subscripts 
> -Wwrite-strings   -o gdaif.la -rpath 
> /usr/lib/gnumeric/1.4.3/plugins/gdaif -module -avoid-version 
> plugin-gda.lo -lgda-2 -lglib-2.0 -lxslt -lxml2 -lpthread -lz -lm 
> -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lgnomedb-2 -lgda-2 
> -lgnomeui-2 -lSM -lICE -lglade-2.0 -lxslt -lbonoboui-2 -lgnomecanvas-2 
> -lgnome-2 -lpopt -lart_lgpl_2 -lgnomevfs-2 -lbonobo-2 -lgconf-2 
> -lbonobo-activation -lORBit-2 -lgthread-2.0 -lgtk-x11-2.0 -lxml2 
> -lpthread -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 
> -lpangoc
>   airo-1.0 -lpangox-1.0 -lpangoft2-1.0 -lfreetype -lz -lcairo 
> -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lfontconfig 
> -lpixman -lXrender -lX11 -lXext -lpng12   -lm
> grep: /usr/lib/libxml2.la: No such file or directory

Do you want to hear what it smells like? - Libtool archive dependency
hell.  Since neither libxml2-devel nor libxml2 include and provide the
/usr/lib/libxml2.la file, this is an indication that a different package
contains a hardcoded libtool archive inter-library dependency on this
file. Cases like this lead to the infamous guideline which says "Either
include .la files everywhere or drop them everywhere". However, since they
are not required for linking and only used in corner-cases (like old ltdl
or KDE using a broken ltdl), in the majority of packages, the .la files
only bear the risk of breaking (either immediately or some time in the
future) like this.

> /bin/sed: can't read /usr/lib/libxml2.la: No such file or directory
> libtool: link: `/usr/lib/libxml2.la' is not a valid libtool archive


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]